Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.util
Class EPPEnv

    java.lang.Object
      com.verisign.epp.util.Environment
          com.verisign.epp.util.EPPEnv

Direct Known Subclasses:
  EPPEnvSingle

    public abstract class EPPEnv

extends Environment

Utility class that contains all of the SDK environment property values.

Field Summary
`static int` | `LOG_BASIC` Basic log mode.
`static int` | `LOG_CFG_FILE` Log4J configuration file mode.
`static int` | `LOG_CUSTOM` Custom logging mode.
`static java.lang.String` | `POOLMAN_CLIENT_PREFIX` Prefix for PoolMan Client
`static java.lang.String` | `POOLMAN_SERVER_PREFIX` Prefix for PoolMan Server

Fields inherited from class com.verisign.epp.util.Environment
`properties`

Constructor Summary
`EPPEnv()`

Method Summary
`static java.lang.String` | `getClientHost()` Gets the client host name / IP address to connect from.
`static boolean` | `getClientParserDebug()` PoolMan Client Option.
`static int` | `getClientParserInitObjs()` PoolMan Client Option.
`static java.lang.String` | `getClientParserLogFile()` PoolMan Client Option.
`static int` | `getClientParserMaxSize()` PoolMan Client Option.
`static boolean` | `getClientParserMaxSoft()` PoolMan Client Option.
`static int` | `getClientParserMinSize()` PoolMan Client Option.
`static int` | `getClientParserObjTimeout()` PoolMan Client Option.
`static int` | `getClientParserShrinkBy()` PoolMan Client Option.
`static int` | `getClientParserSkimmerFreq()` PoolMan Client Option.
`static int` | `getClientParserUserTimeout()` PoolMan Client Option.
`static java.lang.String` | `getClientSocketName()` Returns the value of the EPP.ClientSocketName property specified in the config file.
`static java.util.Vector` | `getCmdResponseExtensions()` Returns a vector of class names that are CommandResponseExtensions.
`static int` | `getConTimeOut()` Returns the connection timeout in number of seconds specified by the EPP.ConTimeOut property in the config file.
`static boolean` | `getFullSchemaChecking()` Gets if FullSchemaChecking is enabled on the Xerces Parser instance.
`static java.lang.String` | `getGreetingServerName()` Gets the server name to use in the EPP greeting.
`static java.lang.String` | `getKeyStore()` SSL Socket Option.
`static java.lang.String` | `getLogCfgFile()` Returns the value of the EPP.LogCfgFile property specified in the config file.
`static java.lang.Long` | `getLogCfgFileWatch()` Returns the value of the EPP.LogCfgFileWatch property specified in the config file.
`static java.lang.String` | `getLogFile()` Returns the value of the EPP.LogFile property specified in the config file.
`static org.apache.log4j.Level` | `getLogLevel()` Returns the value of the EPP.LogLevel property specified in the config file.
`static int` | `getLogMode()` Returns the log facility mode defined by the EPP.LogMode configuration parameter.
`static java.util.Vector` | `getMapFactories()` Returns a vector of class names that are factories for each EPP Mapping.
`static java.util.Vector` | `getPollHandlers()` Returns a vector of class names that are factories for each EPP Mapping.
`static java.util.Vector` | `getProtocolExtensions()` Returns a vector of class names that are ProtocolExtensions.
`static java.lang.String` | `getProxyServerLocator()` Gets the proxy server locator `Class` as a `String` as defined by the `EPP.ProxyServersLcoator` property.
`static java.lang.String` | `getProxyServers()` Returns the list of proxy servers defined by the EPP.ProxyServers property.
`static boolean` | `getProxyServersRandomize()` Returns whether not to randomize the proxy servers connected through.
`static java.lang.String` | `getServerEPPAssembler()` Returns a vector of class names that are factories for each EPP Mapping.
`static java.util.Vector` | `getServerEventHandlers()` Returns a vector of class names that are factories for each EPP Mapping.
`static java.lang.String` | `getServerName()` Returns the value of the EPP.ServerName property specified in the config file.
`static boolean` | `getServerParserDebug()` PoolMan Server Option.
`static int` | `getServerParserInitObjs()` PoolMan Server Option.
`static java.lang.String` | `getServerParserLogFile()` PoolMan Server Option.
`static int` | `getServerParserMaxSize()` PoolMan Server Option.
`static boolean` | `getServerParserMaxSoft()` PoolMan Server Option.
`static int` | `getServerParserMinSize()` PoolMan Server Option.
`static int` | `getServerParserObjTimeout()` PoolMan Server Option.
`static int` | `getServerParserShrinkBy()` PoolMan Server Option.
`static int` | `getServerParserSkimmerFreq()` PoolMan Server Option.
`static int` | `getServerParserUserTimeout()` PoolMan Server Option.
`static int` | `getServerPort()` Returns the value of the EPP.ServerPort property specified in the config file.
`static java.lang.String` | `getServerSocketName()` Returns the value of the EPP.ServerSocketName property specified in the config file.
`static java.lang.String` | `getSSLDebug()` Gets the SSL debug setting with the default of "none".
`static java.lang.String[]` | `getSSLEnabledCipherSuites()` Gets the optional SSL enabled cipher suites
`static java.lang.String[]` | `getSSLEnabledProtocols()` SSL Socket Option.
`static java.lang.String` | `getSSLKeyFileName()` SSL Socket Option.
`static java.lang.String` | `getSSLKeyManager()` Deprecated. With change to JDK 1.4
`static java.lang.String` | `getSSLKeyPassPhrase()` SSL Socket Option.
`static java.lang.String` | `getSSLPassPhrase()` SSL Socket Option.
`static java.lang.String` | `getSSLProtocol()` SSL Socket Option.
`static java.lang.String` | `getSSLTrustStoreFileName()` Gets the SSL trust store file name.
`static java.lang.String` | `getSSLTrustStorePassPhrase()` Gets the SSL trust store passphrase.
`static boolean` | `getValidating()` Gets if XML Schema Validation is enabled.
`void` | `initialize(java.lang.String newConfigFileName)` Initialize the environment
`void` | `initialize(java.lang.String newConfigFileName, java.lang.ClassLoader aClassLoader)` Initialize the environment

Methods inherited from class com.verisign.epp.util.Environment
`envInitialize, envInitialize, getEnv, getOption, getProperty, getProperty, setProperties, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG_BASIC

    public static final int LOG_BASIC

  Basic log mode. Uses EPP.LogLevel and EPP.LogFile parameters.

  See Also:
    Constant Field Values

### LOG_CFG_FILE

    public static final int LOG_CFG_FILE

  Log4J configuration file mode. Uses EPP.LogCfgFile and EPP.LogCfgFileWatch parameters.

  See Also:
    Constant Field Values

### LOG_CUSTOM

    public static final int LOG_CUSTOM

  Custom logging mode. The SDK does not initialize the logging facility.

  See Also:
    Constant Field Values

### POOLMAN_SERVER_PREFIX

    public static final java.lang.String POOLMAN_SERVER_PREFIX

  Prefix for PoolMan Server

  See Also:
    Constant Field Values

### POOLMAN_CLIENT_PREFIX

    public static final java.lang.String POOLMAN_CLIENT_PREFIX

  Prefix for PoolMan Client

  See Also:
    Constant Field Values

Constructor Detail

### EPPEnv

    public EPPEnv()

Method Detail

### initialize

    public void initialize(java.lang.String newConfigFileName,
                           java.lang.ClassLoader aClassLoader)
                    throws EPPEnvException

  Initialize the environment

  Parameters:
    `newConfigFileName` - The config file read value pairs from
    `aClassLoader` - DOCUMENT ME!
  Throws:
    `EPPEnvException`

### initialize

    public void initialize(java.lang.String newConfigFileName)
                    throws EPPEnvException

  Initialize the environment

  Parameters:
    `newConfigFileName` - The config file read value pairs from
  Throws:
    `EPPEnvException`

### getClientHost

    public static java.lang.String getClientHost()

  Gets the client host name / IP address to connect from.

  Returns:
    Client host name / IP address if defined;`null` otherwise

### getServerName

    public static java.lang.String getServerName()
                                          throws EPPEnvException

  Returns the value of the EPP.ServerName property specified in the config file.

  Returns:
    String value for the property
  Throws:
    `EPPEnvException`

### getGreetingServerName

    public static java.lang.String getGreetingServerName()

  Gets the server name to use in the EPP greeting. If not set in the configuration file, the default value of "EPP Server Stub" is returned;

  Returns:
    Greeting Server Name if defined; `"EPP Server Stub"` otherwise.

### getServerPort

    public static int getServerPort()
                             throws EPPEnvException

  Returns the value of the EPP.ServerPort property specified in the config file.

  Returns:
    int value for the property
  Throws:
    `EPPEnvException`

### getConTimeOut

    public static int getConTimeOut()
                             throws EPPEnvException

  Returns the connection timeout in number of seconds specified by the EPP.ConTimeOut property in the config file.

  Returns:
    int value for the property
  Throws:
    `EPPEnvException`

### getProxyServerLocator

    public static java.lang.String getProxyServerLocator()
                                                  throws EPPEnvException

  Gets the proxy server locator `Class` as a `String` as defined by the `EPP.ProxyServersLcoator` property.

  Returns:
    Proxy server locator `Class` as a `String`
  Throws:
    `EPPEnvException` - Property is not defined

### getProxyServers

    public static java.lang.String getProxyServers()
                                            throws EPPEnvException

  Returns the list of proxy servers defined by the EPP.ProxyServers property. The format of the EPP.ProxyServers property should be:
  :[,:]*
  ::= | logical server name
  ::= IPv4 address | []
  An example of a EPP.ProxyServers value is:
  samplehost:80,[2620:74:13:3000::80]:80,192.168.10.10:88

  Returns:
    String value for the property
  Throws:
    `EPPEnvException` - Property is not defined

### getProxyServersRandomize

    public static boolean getProxyServersRandomize()
                                            throws EPPEnvException

  Returns whether not to randomize the proxy servers connected through. The `EPP.ProxyServersRandomize` configuration property is used and if it is not set the default value of `true` is returned.

  Returns:
    `true` to randomize;`false` otherwise.
  Throws:
    `EPPEnvException` - Property is not defined

### getClientSocketName

    public static java.lang.String getClientSocketName()
                                                throws EPPEnvException

  Returns the value of the EPP.ClientSocketName property specified in the config file.

  Returns:
    String value for the property
  Throws:
    `EPPEnvException`

### getLogMode

    public static int getLogMode()

  Returns the log facility mode defined by the EPP.LogMode configuration parameter.

  Returns:
    `LOG_` constants if valid EPP.LogMode setting; -1 otherwise.

### getLogLevel

    public static org.apache.log4j.Level getLogLevel()
                                              throws EPPEnvException

  Returns the value of the EPP.LogLevel property specified in the config file. Either both EPP.LogLevel and EPP.LogFile need to be defined or EPP.LogCfgFile. `initialize` will validate this condition.

  Returns:
    Log4J Level based on EPP.LogLevel setting if defined; `null` otherwise
  Throws:
    `EPPEnvException` - Invalid configuration parameter value

### getLogFile

    public static java.lang.String getLogFile()
                                       throws EPPEnvException

  Returns the value of the EPP.LogFile property specified in the config file. Either both EPP.LogLevel and EPP.LogFile need to be defined or EPP.LogCfgFile. `initialize` will validate this condition.

  Returns:
    log file if defined; `null` otherwise
  Throws:
    `EPPEnvException` - DOCUMENT ME!

### getLogCfgFile

    public static java.lang.String getLogCfgFile()
                                          throws EPPEnvException

  Returns the value of the EPP.LogCfgFile property specified in the config file. Either both EPP.LogLevel and EPP.LogFile need to be defined or EPP.LogCfgFile. `initialize` will validate this condition.

  Returns:
    log configuration file if defined; `null` otherwise
  Throws:
    `EPPEnvException` - Log configuration file does not exist

### getLogCfgFileWatch

    public static java.lang.Long getLogCfgFileWatch()
                                             throws EPPEnvException

  Returns the value of the EPP.LogCfgFileWatch property specified in the config file. This setting can only be made if EPP.LogCfgFile is defined, and indicates the number of milliseconds to look for changes to the logging configuration file.

  Returns:
    log configuration file watch if defined; `null` otherwise
  Throws:
    `EPPEnvException` - Invalid configuration parameter value

### getServerSocketName

    public static java.lang.String getServerSocketName()
                                                throws EPPEnvException

  Returns the value of the EPP.ServerSocketName property specified in the config file. This is the class that is instantiated that listens for connections.

  Returns:
    int value for the property
  Throws:
    `EPPEnvException`

### getMapFactories

    public static java.util.Vector getMapFactories()
                                            throws EPPEnvException

  Returns a vector of class names that are factories for each EPP Mapping. These are the values specified by the EPP.MapFactories property in the config file.

  Returns:
    `Vector` of fully qualified `EPPMapFactory` class `Strings`.
  Throws:
    `EPPEnvException`

### getProtocolExtensions

    public static java.util.Vector getProtocolExtensions()
                                                  throws EPPEnvException

  Returns a vector of class names that are ProtocolExtensions. These are the values specified by the EPP.ProtocolExtensions property in the config file.

  Returns:
    `Vector` of fully qualified `EPPProtocolExtension` class `Strings`.
  Throws:
    `EPPEnvException`

### getCmdResponseExtensions

    public static java.util.Vector getCmdResponseExtensions()
                                                     throws EPPEnvException

  Returns a vector of class names that are CommandResponseExtensions. These are the values specified by the EPP.CmdRspExtensions property in the config file.

  Returns:
    `Vector` of fully qualified `EPPCmdRspExtensions` class `Strings`.
  Throws:
    `EPPEnvException`

### getServerEventHandlers

    public static java.util.Vector getServerEventHandlers()
                                                   throws EPPEnvException

  Returns a vector of class names that are factories for each EPP Mapping. These are the values specified by the EPP.MapFactories property in the config file.

  Returns:
    `Vector` of fully qualified `EPPMapFactory` class `Strings`.
  Throws:
    `EPPEnvException`

### getServerEPPAssembler

    public static java.lang.String getServerEPPAssembler()

  Returns a vector of class names that are factories for each EPP Mapping. These are the values specified by the EPP.MapFactories property in the config file.

  Returns:
    `Vector` of fully qualified `EPPMapFactory` class `Strings`.

### getSSLProtocol

    public static java.lang.String getSSLProtocol()

  SSL Socket Option. Returns the type of SSL protocol

  Returns:
    String value for the property

### getSSLEnabledProtocols

    public static java.lang.String[] getSSLEnabledProtocols()

  SSL Socket Option. Returns the SSL protocols supported.

  Returns:
    `String` array of protocols if defined;`null` otherwise

### getSSLKeyManager

    public static java.lang.String getSSLKeyManager()

  Deprecated. With change to JDK 1.4

  SSL Socket Option. Returns the type of KeyManager used by ssl sockets

  Returns:
    String value for the property

### getKeyStore

    public static java.lang.String getKeyStore()

  SSL Socket Option. Returns the type of KeyStore used by ssl sockets

  Returns:
    String value for the property

### getSSLKeyFileName

    public static java.lang.String getSSLKeyFileName()

  SSL Socket Option. Returns the SSL Keys filename.

  Returns:
    String value for the property

### getSSLTrustStoreFileName

    public static java.lang.String getSSLTrustStoreFileName()

  Gets the SSL trust store file name.

  Returns:
    SSL trust store file name if defined;`null` otherwise.

### getSSLTrustStorePassPhrase

    public static java.lang.String getSSLTrustStorePassPhrase()

  Gets the SSL trust store passphrase.

  Returns:
    SSL trust store passphrase if defined;`null` otherwise.

### getSSLDebug

    public static java.lang.String getSSLDebug()

  Gets the SSL debug setting with the default of "none". Possible values include:
  - none - No debug
  - all - All debug

  Returns:
    Value of javax.net.debug property if defined; "none" otherwise.

### getSSLEnabledCipherSuites

    public static java.lang.String[] getSSLEnabledCipherSuites()

  Gets the optional SSL enabled cipher suites

  Returns:
    `>String` array if defined; `null` otherwise.

### getSSLPassPhrase

    public static java.lang.String getSSLPassPhrase()

  SSL Socket Option. Returns the SSL Passphrase

  Returns:
    String value for the property

### getSSLKeyPassPhrase

    public static java.lang.String getSSLKeyPassPhrase()

  SSL Socket Option. Returns the SSL Key Passphrase. If this property is not defined, than EPP.SSLPassPhrase should be used for both the store passphrase and the key passphrase.

  Returns:
    String value for the property

### getServerParserInitObjs

    public static int getServerParserInitObjs()

  PoolMan Server Option. Returns number of initial objects instance create upon pool instantiation

  Returns:
    int initial objects instance

### getServerParserMinSize

    public static int getServerParserMinSize()

  PoolMan Server Option. Returns minimum number of objects to maintain in the pool

  Returns:
    int minimum number of objects

### getServerParserMaxSize

    public static int getServerParserMaxSize()

  PoolMan Server Option. Returns maximum number of objects to maintain at any one time in the pool

  Returns:
    int maximum number of objects

### getServerParserMaxSoft

    public static boolean getServerParserMaxSoft()

  PoolMan Server Option. Returns if emergency objects will be created once the maximum size of a pool is reached but requested are still waiting on objects.

  Returns:
    boolean if emergency objects will be created

### getServerParserObjTimeout

    public static int getServerParserObjTimeout()

  PoolMan Server Option. Returns the length of time, in seconds, that each object has to live before being destroyed and removed from the pool

  Returns:
    int length of time (seconds)

### getServerParserUserTimeout

    public static int getServerParserUserTimeout()

  PoolMan Server Option. Returns the length of time, in seconds, that a client has to keep an object before it can automatically returned to its pool.

  Returns:
    int length of time (seconds)

### getServerParserSkimmerFreq

    public static int getServerParserSkimmerFreq()

  PoolMan Server Option. Returns the length of time, in seconds, the pool skimmer waits between reap cycles.

  Returns:
    int length of time (seconds)

### getServerParserShrinkBy

    public static int getServerParserShrinkBy()

  PoolMan Server Option. Returns each time the pool is sized down by the skimmer

  Returns:
    int each time the pool is sized down by the skimmer

### getServerParserLogFile

    public static java.lang.String getServerParserLogFile()

  PoolMan Server Option. Returns the PATH to a file that is pool will append logging information to.

  Returns:
    String log file

### getServerParserDebug

    public static boolean getServerParserDebug()

  PoolMan Server Option. Returns if verbose logging information will be printed

  Returns:
    boolean if verbose logging information will be printed

### getClientParserInitObjs

    public static int getClientParserInitObjs()

  PoolMan Client Option. Returns number of initial objects instance create upon pool instantiation

  Returns:
    int initial objects instance

### getClientParserMinSize

    public static int getClientParserMinSize()

  PoolMan Client Option. Returns minimum number of objects to maintain in the pool

  Returns:
    int minimum number of objects

### getClientParserMaxSize

    public static int getClientParserMaxSize()

  PoolMan Client Option. Returns maximum number of objects to maintain at any one time in the pool

  Returns:
    int maximum number of objects

### getClientParserMaxSoft

    public static boolean getClientParserMaxSoft()

  PoolMan Client Option. Returns if emergency objects will be created once the maximum size of a pool is reached but requested are still waiting on objects.

  Returns:
    boolean if emergency objects will be created

### getClientParserObjTimeout

    public static int getClientParserObjTimeout()

  PoolMan Client Option. Returns the length of time, in seconds, that each object has to live before being destroyed and removed from the pool

  Returns:
    int length of time (seconds)

### getClientParserUserTimeout

    public static int getClientParserUserTimeout()

  PoolMan Client Option. Returns the length of time, in seconds, that a client has to keep an object before it can automatically returned to its pool.

  Returns:
    int length of time (seconds)

### getClientParserSkimmerFreq

    public static int getClientParserSkimmerFreq()

  PoolMan Client Option. Returns the length of time, in seconds, the pool skimmer waits between reap cycles.

  Returns:
    int length of time (seconds)

### getClientParserShrinkBy

    public static int getClientParserShrinkBy()

  PoolMan Client Option. Returns each time the pool is sized down by the skimmer

  Returns:
    int each time the pool is sized down by the skimmer

### getClientParserLogFile

    public static java.lang.String getClientParserLogFile()

  PoolMan Client Option. Returns the PATH to a file that is pool will append logging information to.

  Returns:
    String log file

### getClientParserDebug

    public static boolean getClientParserDebug()

  PoolMan Client Option. Returns if verbose logging information will be printed

  Returns:
    boolean if verbose logging information will be printed

### getPollHandlers

    public static java.util.Vector getPollHandlers()
                                            throws EPPEnvException

  Returns a vector of class names that are factories for each EPP Mapping. These are the values specified by the EPP.MapFactories property in the config file.

  Returns:
    `Vector` of fully qualified `EPPPollHandler` class `Strings`.
  Throws:
    `EPPEnvException`

### getValidating

    public static boolean getValidating()

  Gets if XML Schema Validation is enabled. The default is `false`, but this can be changed by setting the `EPP.Validating` property.

  Returns:
    `true` to enable XML Schema Validation; `false` otherwise.

### getFullSchemaChecking

    public static boolean getFullSchemaChecking()

  Gets if FullSchemaChecking is enabled on the Xerces Parser instance. Enable full schema grammar constraint checking, including checking which may be time-consuming or memory intensive. Currently, particle unique attribution constraint checking and particle derivation resriction checking are controlled by this option. The default is `false`, but this can be changed by setting the `EPP.FullSchemaChecking` property.

  Returns:
    `true` to enable Full XML Schema Checking; `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.